﻿
namespace CastTest
{
    using System;
    using System.ComponentModel;
    using System.Runtime.Serialization;
    using System.Xml.Serialization;
    using CommonInterface;

    [DataContract]
    [Serializable]
    public class Derived : ICommons
    {
        public Derived()
        {
        }
        
        [XmlElement]
        [DataMember]
        [Category("Common")]
        [DisplayName("Readable Text")]
        [Description("Text to Read")]
        public string ReadableText { get; set; }
    }
}
